Subject: Re: [PATCH v6 0/5] teach submodules to know they're submodules

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Feb 2022 08:20:44 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I just genuinely don't get where this is headed. I.e. for the last
> iteration I did a demo patch on top that showed that there was no case
> added by the series where the on-the-fly discovery wasn't equivalent to
> the set-in-config value[4].
>
> That change showed that after this series in a state where the config
> *is* redundant to on the fly discovery (or maybe not, and we're just
> missing test coverage).
>
> But since you're citing correctness do you have some repo->sub
> relationship in mind that would be ambiguous in a way where the
> configuration would resolve the ambiguity?

This is an excellent question, which I wish I could have raised in
my earlier response.  A clear explanation why this setting is not
a redundant copy but adds real information on top of what we should
be able to learn from the filesystem structure would really help in
justifying the new thing.

Thanks.